Summary: The ADAPTIVE Communication Environment
Name: ACE
Version: 5.2
Release: 1
Packager: Vadim Zaliva <lord@crocodile.org>
Group: Development/Libraries
Source: ftp://ace.cs.wustl.edu/pub/ACE/ACE-5.2.tar.gz
License: http://www.cs.wustl.edu/~schmidt/ACE-copying.html
URL: http://www.cs.wustl.edu/~schmidt/ACE.html

%description

The ADAPTIVE Communication Environment (ACE) is a freely available,
open-source object-oriented (OO) framework that implements many core
patterns for concurrent communication software. ACE provides a rich
set of reusable C++ wrapper facades and framework components that
perform common communication software tasks across a range of OS
platforms. The communication software tasks provided by ACE include
event demultiplexing and event handler dispatching, signal handling,
service initialization, interprocess communication, shared memory
management, message routing, dynamic (re)configuration of distributed
services, concurrent execution and synchronization.

ACE is targeted for developers of high-performance and real-time
communication services and applications. It simplifies the development
of OO network applications and services that utilize interprocess
communication, event demultiplexing, explicit dynamic linking, and
concurrency. In addition, ACE automates system configuration and
reconfiguration by dynamically linking services into applications at
run-time and executing these services in one or more processes or
threads.

This file includes runtime libraries required to run programms
dynamically linked with ACE.

%package devel
Group: Development/Libraries
Summary: The ADAPTIVE Communication Environment libraries and header files
%description devel

The ADAPTIVE Communication Environment (ACE) is a freely available,
open-source object-oriented (OO) framework that implements many core
patterns for concurrent communication software. ACE provides a rich
set of reusable C++ wrapper facades and framework components that
perform common communication software tasks across a range of OS
platforms. The communication software tasks provided by ACE include
event demultiplexing and event handler dispatching, signal handling,
service initialization, interprocess communication, shared memory
management, message routing, dynamic (re)configuration of distributed
services, concurrent execution and synchronization.

ACE is targeted for developers of high-performance and real-time
communication services and applications. It simplifies the development
of OO network applications and services that utilize interprocess
communication, event demultiplexing, explicit dynamic linking, and
concurrency. In addition, ACE automates system configuration and
reconfiguration by dynamically linking services into applications at
run-time and executing these services in one or more processes or
threads.

This package includes header files, libraries, etc. to build
programs using ACE.

%prep
%setup -n ACE_wrappers

%build
export ACE_ROOT=`pwd`
cp $ACE_ROOT/ace/config-linux.h $ACE_ROOT/ace/config.h
cp $ACE_ROOT/include/makeinclude/platform_linux.GNU $ACE_ROOT/include/makeinclude/platform_macros.GNU
export LD_LIBRARY_PATH=$ACE_ROOT/ace:$LD_LIBRARY_PATH
make
      

%install
export INSTALL="/usr/bin/install -v -g root -o root"
export LIBDIR=/usr/lib
export INCLUDEDIR=/usr/include/ace
export STATICLIBMODE="a=r,u+w"
export SHAREDLIBMODE="a=rx,u+w"
export DIRMODE="a=rx,u+w"
export INCLUDEMODE="a=r,u+w"
$INSTALL ace/libPerf.a -m $STATICLIBMODE $LIBDIR
$INSTALL -m $SHAREDLIBMODE \
        ace/libACE.so                \
        ace/libACE_RMCast.so         \
        ace/libClient_Test.so        \
        ace/libConn.so               \
        ace/libDLL_Test.so           \
        ace/libDump_Restore.so       \
        ace/libGateway.so            \
        ace/libPeer.so               \
        ace/libServer.so             \
        ace/libService_Config_DLL.so \
        ace/libTQTD.so               \
        ace/libTimer.so              \
        ace/libnetsvcs.so            \
        ace/libwebsvcs.so            \
        $LIBDIR
if [ ! -x $INCLUDEDIR ]; 
then 
        mkdir $INCLUDEDIR
fi
chmod $DIRMODE $INCLUDEDIR
$INSTALL -m $INCLUDEMODE ace/*.h ace/*.i ace/*.inl ace/*.cpp $INCLUDEDIR


%files
%defattr(-,root,root)
%doc AUTHORS COPYING FAQ ChangeLog PROBLEM-REPORT-FORM README THANKS TODO VERSION 
/usr/lib/libACE.so
/usr/lib/libACE_RMCast.so
/usr/lib/libClient_Test.so
/usr/lib/libConn.so
/usr/lib/libDLL_Test.so
/usr/lib/libDump_Restore.so
/usr/lib/libGateway.so
/usr/lib/libPeer.so
/usr/lib/libServer.so
/usr/lib/libService_Config_DLL.so
/usr/lib/libTQTD.so
/usr/lib/libTimer.so
/usr/lib/libnetsvcs.so
/usr/lib/libwebsvcs.so

%files devel
%doc AUTHORS COPYING FAQ ChangeLog PROBLEM-REPORT-FORM README THANKS TODO VERSION docs
%defattr(-,root,root)
/usr/include/ace
/usr/lib/libPerf.a

%changelog
* Wed Oct 05 2001 Vadim Zaliva <lord@crocodile.org>
- Version 5.2 build. Not using configure (not supported anymore).
* Wed Sep 26 2001 Vadim Zaliva <lord@crocodile.org>
- Created spec file from scratch for version 5.1.

